<template>
    <div class="the-editor-outer">
        <the-edit-bar class="the-edit-bar" :class="toolbar_classes" :editor="editor"/>
        <editor-content class="the-editor-context" :class="content_classes" :editor="editor"/>
    </div>
</template>
  
<script setup lang="ts">
import TheEditBar from './TheEditBar.vue'
import { EditorContent } from '@tiptap/vue-3'
import type { TheEditorComponentProps } from '../useTheEditor'
import type {TheEditor} from '../TheEditor'
import useTheEditor from '../useTheEditor';

const props = withDefaults(
    defineProps<TheEditorComponentProps>(), 
    {
        modelValue: '',
    }
)

const emits = defineEmits<{
    (e: 'update:modelValue', value: string): void
    (e: 'loaded', editor: TheEditor): void
}>()

// Initialize the editor
const {editor} = useTheEditor(props, emits)
defineExpose({editor})

</script>